中国Linux公社论坛's Archiver

xiaoxiaosong 发表于 2008-10-2 20:48

关于WordPress的安装问题

安装WordPress总是出现:
已安装
您好像已经安装了 WordPress,重新安装请先删除旧的数据表。

而且时不时该信息无法正常显示,要在Utf8或者Utf7之间切换才可以

jiangtao9999 发表于 2008-10-2 21:52

utf7 是什么?
你是不是装过 wp ?看看数据库里面的内容吧。

xiaoxiaosong 发表于 2008-10-3 09:35

本地Linux主机安装WordPress2.6.2。Mysql为4.1.19,PHP为4.4.4。
填写Blog 名称及邮箱后,下一步,出现空白页。
此空白页面为随机出现(有时有字,有时无字),在浏览器选择查看编码,改为UTF-8或者UTF-7即显示:
已安装
您好像已经安装了 WordPress,重新安装请先删除旧的数据表。
使用PHPAdmin查看数据库中确实已建立数据表。
以后的步骤始终无法进行。

jiangtao9999 发表于 2008-10-3 09:40

phpmyadmin 清空数据库后重装。
你的浏览器设置默认编码为 utf8 ,这个在安装好 wp 后就可以改回去。

随机出现空白页的问题不好说为什么。我觉得和你的 apche + php 的工作状态有关系。

xiaoxiaosong 发表于 2008-10-3 10:20

数据库清空好多次,浏览器默认编码并不为UTF-8,能否正常显示文字是随机的,如不能显示,选UTF-7或UTF-8即可正常

jiangtao9999 发表于 2008-10-3 14:19

那只能是 RPWT 了。

可能是 php 代码运行的有问题。

zhaojt 发表于 2010-1-17 22:27

当wp-config.php文件同时存在于htdocs、wordpress-2.6文件夹下时,会出现数据库安装问题,把htdocs(或wordpress文件夹上层目录)下的删掉看看行不。

页: [1]

Powered by Discuz! Archiver 6.1.0F  © 2001-2007 Comsenz Inc.